<bugID>402151<Summary>remove warning dialog prefs and logic in external protocol handler service</Summary><Description>There is a bunch of warning dialog logic left over from when it was assumed that the "you're about to hand this off to an external protocol handling app" dialog contained a warning.  That's no longer true, at least in the Firefox implementation of nsIContentDispatchChooser.  These are the network.protocol-handler.warn-external* prefs.  We should figure out if other gecko embedders care about these, and, if not, kill them in order to simplify the code.</Description></bugID>